'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const react = require('react');

const HookRunner = /*#__PURE__*/react.forwardRef(({
  useHook
}, ref) => {
  const hookResult = useHook();
  const valueRef = react.useRef(hookResult);
  valueRef.current = hookResult;
  react.useImperativeHandle(ref, () => ({
    get current() {
      return valueRef.current;
    }
  }));
  return null;
});

exports.HookRunner = HookRunner;
