'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const react = require('react');

const defaultRender = element => element;
class TestRenderer extends react.Component {
  static getDerivedStateFromError(error) {
    return {
      error
    };
  }
  state = {};
  setProps(props) {
    this.setState({
      props
    });
  }
  getError() {
    return this.state.error;
  }
  render() {
    const {
      props,
      error
    } = this.state;
    if (error) return null;
    const {
      children,
      render = defaultRender
    } = this.props;
    return render(props ? /*#__PURE__*/react.cloneElement(children, props) : children);
  }
}

exports.TestRenderer = TestRenderer;
