'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const testRenderer = require('./implementations/test-renderer.cjs');
const environment = require('./environment.cjs');

// @see https://reactjs.org/blog/2022/03/08/react-18-upgrade-guide.html#configuring-your-testing-environment
Reflect.defineProperty(globalThis, 'IS_REACT_ACT_ENVIRONMENT', {
  value: true
});

exports.createRender = testRenderer.createRender;
exports.destroyAll = testRenderer.destroyAll;
exports.environment = testRenderer.environment;
exports.render = testRenderer.render;
exports.rendered = testRenderer.rendered;
exports.createEnvironment = environment.createEnvironment;
