'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const dom = require('./matchers/dom.cjs');
const props = require('./matchers/props.cjs');
const components = require('./matchers/components.cjs');
const text = require('./matchers/text.cjs');
const context = require('./matchers/context.cjs');

// @see https://vitest.dev/guide/extending-matchers.html
// This matches the Preact version of the custom matchers, but using React’s types instead.
const matchers = {
  toHaveReactProps: props.toHaveReactProps,
  toContainReactComponent: components.toContainReactComponent,
  toContainReactComponentTimes: components.toContainReactComponentTimes,
  toProvideReactContext: context.toProvideReactContext,
  toContainReactText: text.toContainReactText,
  toContainReactHTML: dom.toContainReactHTML,
  toHaveReactDataProps: dom.toHaveReactDataProps
};

exports.matchers = matchers;
