'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const jestMatcherUtils = require('jest-matcher-utils');
const utilities = require('./utilities.cjs');

function toContainReactText(node, text) {
  utilities.assertIsNode(node, {
    expectation: 'toContainReactText',
    isNot: this.isNot
  });
  const nodeText = node.text;
  const matchIndex = nodeText.indexOf(text);
  const pass = matchIndex >= 0;
  const message = pass ? () => `${jestMatcherUtils.matcherHint('.not.toContainReactText', node.toString())}\n\n` + `Expected the React element:\n  ${jestMatcherUtils.RECEIVED_COLOR(node.toString())}\n` + `Not to contain text:\n  ${jestMatcherUtils.printExpected(text)}\n` + `But it did:\n  ${utilities.printReceivedWithHighlight(nodeText, matchIndex, text.length)}\n` : () => `${jestMatcherUtils.matcherHint('.not.toContainReactText', node.toString())}\n\n` + `Expected the React element:\n  ${jestMatcherUtils.RECEIVED_COLOR(node.toString())}\n` + `With text content:\n  ${jestMatcherUtils.printReceived(nodeText)}\n` + `To contain string:\n  ${jestMatcherUtils.printExpected(text)}\n`;
  return {
    pass,
    message
  };
}

exports.toContainReactText = toContainReactText;
