import { forwardRef, useRef, useImperativeHandle } from 'react';

const HookRunner = /*#__PURE__*/forwardRef(({
  useHook
}, ref) => {
  const hookResult = useHook();
  const valueRef = useRef(hookResult);
  valueRef.current = hookResult;
  useImperativeHandle(ref, () => ({
    get current() {
      return valueRef.current;
    }
  }));
  return null;
});

export { HookRunner };
