import { Component, cloneElement } from 'react';

const defaultRender = element => element;
class TestRenderer extends Component {
  static getDerivedStateFromError(error) {
    return {
      error
    };
  }
  state = {};
  setProps(props) {
    this.setState({
      props
    });
  }
  getError() {
    return this.state.error;
  }
  render() {
    const {
      props,
      error
    } = this.state;
    if (error) return null;
    const {
      children,
      render = defaultRender
    } = this.props;
    return render(props ? /*#__PURE__*/cloneElement(children, props) : children);
  }
}

export { TestRenderer };
