import { toHaveReactDataProps, toContainReactHTML } from './matchers/dom.mjs';
import { toHaveReactProps } from './matchers/props.mjs';
import { toContainReactComponentTimes, toContainReactComponent } from './matchers/components.mjs';
import { toContainReactText } from './matchers/text.mjs';
import { toProvideReactContext } from './matchers/context.mjs';

// @see https://vitest.dev/guide/extending-matchers.html
// This matches the Preact version of the custom matchers, but using React’s types instead.
const matchers = {
  toHaveReactProps,
  toContainReactComponent,
  toContainReactComponentTimes,
  toProvideReactContext,
  toContainReactText,
  toContainReactHTML,
  toHaveReactDataProps
};

export { matchers };
